Solid Edge Framework Type Library
AssignItemID Method

Returns the newly created Item Type.

Returns the newly created Item Id.
Returns the newly created Item Rev.
Description
Generate the Item ID and Item RevisionID
Syntax
Visual Basic
Public Sub AssignItemID( _
   ByVal bstrItemType As String, _
   ByRef bstrItemId As String, _
   ByRef bstrItemRev As String _
) 
Parameters
bstrItemType

Returns the newly created Item Type.

bstrItemId
Returns the newly created Item Id.
bstrItemRev
Returns the newly created Item Rev.
Example
Option Explicit

Sub Example()
    Dim objApplication As SolidEdgeFramework.Application
    Dim objTCE As SolidEdgeFramework.SolidEdgeTCE
    Dim FileItemType As String
    Dim FileItemRevID As String
    Dim FileItemItem As String

    Set objApplication = GetObject(, "SolidEdge.Application")
    Set objTCE = objApplication.SolidEdgeTCE

    'Initialise the variables
    FileItemType = ""
    FileItemItemID = ""
    FileItemRev = ""
    
    Call objTCE.AssignItemID(FileItemType, FileItemItemID, FileItemRevID)

    If Not objApplication Is Nothing Then
        Call objApplication.Quit
    End If
    
    Set objTCE = Nothing
    Set objApplication = Nothing
End Sub
See Also

SolidEdgeTCE Object  | SolidEdgeTCE Members  | Solid Edge V19 - What's New